# Class JmolAdapterBondIterator

java.lang.Object
org.jmol.api.JmolAdapterBondIterator

public abstract class JmolAdapterBondIterator extends Object

## Constructor Summary

Constructors
Constructor
Description
`JmolAdapterBondIterator()`

## Method Summary

Modifier and Type
Method
Description
`abstract Object`
`getAtomUniqueID1()`
`abstract Object`
`getAtomUniqueID2()`
`abstract short`
`getColix()`
`abstract int`
`getEncodedOrder()`
`abstract float`
`getPymolRadius()`
`abstract boolean`
`hasNext()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JmolAdapterBondIterator

public JmolAdapterBondIterator()

## Method Details

### hasNext

public abstract boolean hasNext()

### getAtomUniqueID1

public abstract Object getAtomUniqueID1()

### getAtomUniqueID2

public abstract Object getAtomUniqueID2()

### getEncodedOrder

public abstract int getEncodedOrder()

### getPymolRadius

public abstract float getPymolRadius()

### getColix

public abstract short getColix()